Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.meta
Interface MetaDataParser

All Known Subinterfaces:
  AbstractCFMetaDataFactory.Parser, SchemaParser

All Known Implementing Classes:
  CFMetaDataParser, PersistenceProductDerivation.ConfigurationParser, XMLMetaDataParser, XMLPersistenceMappingParser, XMLPersistenceMetaDataParser, XMLSchemaParser, XMLVersionParser

    public interface MetaDataParser

Interface for metadata parsers.

Author:
  Abe White

Method Summary
`void` | `clear()` Clears the cache of parsed resource names.
`List` | `getResults()` Return the results from the last parse.
`void` | `parse(Class<?> cls, boolean topDown)` Parse all possible metadata locations for the given class, going top-down or bottom-up.
`void` | `parse(File file)` Parse the given file, which may be a directory, in which case it will be scanned recursively for metadata files.
`void` | `parse(MetaDataIterator itr)` Parse the metadata supplied by the given iterator.
`void` | `parse(Reader content, String sourceName)` Parse the metadata in the given reader.
`void` | `parse(String rsrc)` Parse the given resource.
`void` | `parse(URL url)` Parse the given resource.
`void` | `setClassLoader(ClassLoader loader)` The classloader to use to resolve resources, or null for impl-defined default.

Method Detail

### setClassLoader

    void setClassLoader(ClassLoader loader)

  The classloader to use to resolve resources, or null for impl-defined default.

### getResults

    List getResults()

  Return the results from the last parse.

### parse

    void parse(String rsrc)
               throws IOException

  Parse the given resource.

  Throws:
    `IOException`

### parse

    void parse(URL url)
               throws IOException

  Parse the given resource.

  Throws:
    `IOException`

### parse

    void parse(File file)
               throws IOException

  Parse the given file, which may be a directory, in which case it will be scanned recursively for metadata files.

  Throws:
    `IOException`

### parse

    void parse(Class<?> cls,
               boolean topDown)
               throws IOException

  Parse all possible metadata locations for the given class, going top-down or bottom-up. If the class is null, only top-level locations will be parsed.

  Throws:
    `IOException`

### parse

    void parse(Reader content,
               String sourceName)
               throws IOException

  Parse the metadata in the given reader.

  Parameters:
    `content` - reader containing the metadata to parse
    `sourceName` - the name of the source being parsed, for use in error messages
  Throws:
    `IOException`

### parse

    void parse(MetaDataIterator itr)
               throws IOException

  Parse the metadata supplied by the given iterator.

  Throws:
    `IOException`

### clear

    void clear()

  Clears the cache of parsed resource names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.